# Administration Reference

## fs setvol

Purpose

Set maximum quota and messages for the volume containing a file or directory

Synopsis

    fs setvol [-path <dir/file path>+]  [-max <disk space quota in 1K units>]
              [-offlinemsg <offline message>]  [-help]

    fs setv [-p <dir/file path>+]  [-ma <disk space quota in 1K  units>]
            [-o <offline message>]  [-h]

    fs sv [-p <dir/file path>+]  [-ma <disk space quota in 1K units>]
          [-o <offline message>]  [-h]

Description

The fs setvol command sets the quota (maximum possible size) of the read/write volume that contains each directory or file named by the -path argument. To associate a message with the volume which then appears in the output of the fs examine command, include the -offlinemsg argument.

To display all of the settings made with this command, use the fs examine command. The fs listquota command reports a fileset's quota, and the fs quota command the percent of quota used.

To set quota on one volume at a time, use the fs setquota command.

Options

-path
  Names each file or directory for which to set the host volume's quota and offline message. Partial pathnames are interpreted relative to the current working directory, which is also the default value if this argument is omitted.

  Specify the read/write path to the file or directory, to avoid the failure that results from attempting to change a read-only volume. By convention, the read/write path is indicated by placing a period before the cell name at the pathname's second level (for example, /afs/.abc.com). For further discussion of the concept of read/write and read-only paths through the filespace, see the fs mkmount reference page.

-max
  Sets the maximum amount of file server disk space the volume can occupy. Provide a positive integer to indicate the number of one-kilobyte blocks (1024 is one megabyte). A value of 0 sets an unlimited quota, but the size of the disk partition that houses the volume places an absolute limit on the volume's size.

  If the -path argument is omitted (so that the command sets the quota of the volume housing the current working directory), the -max switch must be provided.

-offlinemsg
  Associates a message with the volume which then appears in the output of the fs examine command. Its intended use is to explain why the volume is currently offline.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following command imposes a 6500 kilobyte quota on the volumes mounted at the home directories /afs/abc.com/usr/smith and /afs/abc.com/usr/pat:

       % cd /afs/abc.com/usr

       % fs setvol -path smith pat -max 6500

Privilege Required

The issuer must belong to the system:administrators group.

Related Information

fs examine

fs listquota

fs mkmount

fs quota

fs setquota

© IBM Corporation 2000. All Rights Reserved